Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: ViewHelpers
Created: 2012-08-01 Assigned To: Bastian Waidelich
Updated: 2012-08-07 Due date:
Has patch: No
Affected Flow version: Git 1.1
Subject: Action URI of the form ViewHelper is not reset
Description

The Form ViewHelper stores the action URI attribute for performance reasons.
BUt because instances of ViewHelpers are reused, this value needs to be reset.

Related issues:
related to TYPO3.Fluid - Task # 11636: Form viewhelper not functional with me... Resolved 2010-12-22

Associated revisions
Revision 69453896 - 2012-08-01 18:44 - Bastian Waidelich

[BUGFIX] Action URI of the form ViewHelper is not reset

Form ViewHelpers store the action URI attribute for performance
reasons.
But because instances of ViewHelpers are reused, this value needs
to be reset.
Besides this removes an obsolete property "formActionUriArguments"

Change-Id: I9636b881c84285a57c5fb3225067871583c4159d
Fixes: #39456
Related: #11636
Releases: 1.1, 1.2

Revision 299ad012 - 2012-08-02 11:10 - Bastian Waidelich

[BUGFIX] Action URI of the form ViewHelper is not reset

Form ViewHelpers store the action URI attribute for performance
reasons.
But because instances of ViewHelpers are reused, this value needs
to be reset.
Besides this removes an obsolete property "formActionUriArguments"

Change-Id: I9636b881c84285a57c5fb3225067871583c4159d
Fixes: #39456
Related: #11636
Releases: 1.1, 1.2

History
#1 - 2012-08-01 18:44 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13417

#2 - 2012-08-02 11:10 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13424

#3 - 2012-08-07 17:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:694538964346bc39f0dbf90725fd5474c6c5ee08.
